// +build !ignore_autogenerated

/*

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
	"k8s.libre.sh/application/components"
	"k8s.libre.sh/application/settings"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *App) DeepCopyInto(out *App) {
	*out = *in
	if in.InternalWorkload != nil {
		in, out := &in.InternalWorkload, &out.InternalWorkload
		*out = new(components.InternalWorkload)
		(*in).DeepCopyInto(*out)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new App.
func (in *App) DeepCopy() *App {
	if in == nil {
		return nil
	}
	out := new(App)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *AppSettings) DeepCopyInto(out *AppSettings) {
	*out = *in
	in.CreateOptions.DeepCopyInto(&out.CreateOptions)
	if in.Sources != nil {
		in, out := &in.Sources, &out.Sources
		*out = make([]settings.Source, len(*in))
		copy(*out, *in)
	}
	out.Database = in.Database
	out.SMTP = in.SMTP
	out.General = in.General
	out.ObjectStore = in.ObjectStore
	out.Redis = in.Redis
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new AppSettings.
func (in *AppSettings) DeepCopy() *AppSettings {
	if in == nil {
		return nil
	}
	out := new(AppSettings)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *AppStore) DeepCopyInto(out *AppStore) {
	*out = *in
	out.StoreEnabled = in.StoreEnabled
	out.Default = in.Default
	out.StoreURL = in.StoreURL
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new AppStore.
func (in *AppStore) DeepCopy() *AppStore {
	if in == nil {
		return nil
	}
	out := new(AppStore)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CLI) DeepCopyInto(out *CLI) {
	*out = *in
	if in.CLI != nil {
		in, out := &in.CLI, &out.CLI
		*out = new(components.CLI)
		(*in).DeepCopyInto(*out)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CLI.
func (in *CLI) DeepCopy() *CLI {
	if in == nil {
		return nil
	}
	out := new(CLI)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Database) DeepCopyInto(out *Database) {
	*out = *in
	out.Database = in.Database
	out.Host = in.Host
	out.Port = in.Port
	out.Type = in.Type
	out.Username = in.Username
	out.Password = in.Password
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Database.
func (in *Database) DeepCopy() *Database {
	if in == nil {
		return nil
	}
	out := new(Database)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *General) DeepCopyInto(out *General) {
	*out = *in
	out.AppStore = in.AppStore
	out.Locales = in.Locales
	out.GlobalSecrets = in.GlobalSecrets
	out.GlobalSettings = in.GlobalSettings
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new General.
func (in *General) DeepCopy() *General {
	if in == nil {
		return nil
	}
	out := new(General)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GlobalSecrets) DeepCopyInto(out *GlobalSecrets) {
	*out = *in
	out.InstanceID = in.InstanceID
	out.PasswordSalt = in.PasswordSalt
	out.Secret = in.Secret
	out.AdminPassword = in.AdminPassword
	out.AdminUsername = in.AdminUsername
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GlobalSecrets.
func (in *GlobalSecrets) DeepCopy() *GlobalSecrets {
	if in == nil {
		return nil
	}
	out := new(GlobalSecrets)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GlobalSettings) DeepCopyInto(out *GlobalSettings) {
	*out = *in
	out.Domains = in.Domains
	out.OverwriteCLI = in.OverwriteCLI
	out.OverwriteProtocol = in.OverwriteProtocol
	out.DataDirectory = in.DataDirectory
	out.Debug = in.Debug
	out.ReadOnly = in.ReadOnly
	out.UpdateChecker = in.UpdateChecker
	out.UpdateURL = in.UpdateURL
	out.UpdateChannel = in.UpdateChannel
	out.UpdateDisable = in.UpdateDisable
	out.BruteForce = in.BruteForce
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GlobalSettings.
func (in *GlobalSettings) DeepCopy() *GlobalSettings {
	if in == nil {
		return nil
	}
	out := new(GlobalSettings)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Locales) DeepCopyInto(out *Locales) {
	*out = *in
	out.Default = in.Default
	out.Locale = in.Locale
	out.ForceLanguage = in.ForceLanguage
	out.ForceLocale = in.ForceLocale
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Locales.
func (in *Locales) DeepCopy() *Locales {
	if in == nil {
		return nil
	}
	out := new(Locales)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Nextcloud) DeepCopyInto(out *Nextcloud) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Nextcloud.
func (in *Nextcloud) DeepCopy() *Nextcloud {
	if in == nil {
		return nil
	}
	out := new(Nextcloud)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *Nextcloud) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *NextcloudList) DeepCopyInto(out *NextcloudList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]Nextcloud, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new NextcloudList.
func (in *NextcloudList) DeepCopy() *NextcloudList {
	if in == nil {
		return nil
	}
	out := new(NextcloudList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *NextcloudList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *NextcloudSpec) DeepCopyInto(out *NextcloudSpec) {
	*out = *in
	in.Settings.DeepCopyInto(&out.Settings)
	if in.App != nil {
		in, out := &in.App, &out.App
		*out = new(App)
		(*in).DeepCopyInto(*out)
	}
	if in.Web != nil {
		in, out := &in.Web, &out.Web
		*out = new(Web)
		(*in).DeepCopyInto(*out)
	}
	if in.CLI != nil {
		in, out := &in.CLI, &out.CLI
		*out = new(CLI)
		(*in).DeepCopyInto(*out)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new NextcloudSpec.
func (in *NextcloudSpec) DeepCopy() *NextcloudSpec {
	if in == nil {
		return nil
	}
	out := new(NextcloudSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *NextcloudStatus) DeepCopyInto(out *NextcloudStatus) {
	*out = *in
	if in.Settings != nil {
		in, out := &in.Settings, &out.Settings
		*out = make(map[string]SettingsStatus, len(*in))
		for key, val := range *in {
			(*out)[key] = *val.DeepCopy()
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new NextcloudStatus.
func (in *NextcloudStatus) DeepCopy() *NextcloudStatus {
	if in == nil {
		return nil
	}
	out := new(NextcloudStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ObjectStore) DeepCopyInto(out *ObjectStore) {
	*out = *in
	out.Bucket = in.Bucket
	out.Host = in.Host
	out.Port = in.Port
	out.AutoCreate = in.AutoCreate
	out.SSL = in.SSL
	out.Region = in.Region
	out.PathStyle = in.PathStyle
	out.AccessKeyID = in.AccessKeyID
	out.SecretAccessKey = in.SecretAccessKey
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ObjectStore.
func (in *ObjectStore) DeepCopy() *ObjectStore {
	if in == nil {
		return nil
	}
	out := new(ObjectStore)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Redis) DeepCopyInto(out *Redis) {
	*out = *in
	out.Username = in.Username
	out.Password = in.Password
	out.Host = in.Host
	out.Port = in.Port
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Redis.
func (in *Redis) DeepCopy() *Redis {
	if in == nil {
		return nil
	}
	out := new(Redis)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SMTP) DeepCopyInto(out *SMTP) {
	*out = *in
	out.Username = in.Username
	out.Password = in.Password
	out.FromAdress = in.FromAdress
	out.Domain = in.Domain
	out.Secure = in.Secure
	out.AuthType = in.AuthType
	out.Debug = in.Debug
	out.Host = in.Host
	out.Port = in.Port
	out.TemplateClass = in.TemplateClass
	out.PlainTextOnly = in.PlainTextOnly
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SMTP.
func (in *SMTP) DeepCopy() *SMTP {
	if in == nil {
		return nil
	}
	out := new(SMTP)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Settings) DeepCopyInto(out *Settings) {
	*out = *in
	in.CreateOptions.DeepCopyInto(&out.CreateOptions)
	if in.Sources != nil {
		in, out := &in.Sources, &out.Sources
		*out = make([]settings.Source, len(*in))
		copy(*out, *in)
	}
	in.AppSettings.DeepCopyInto(&out.AppSettings)
	in.Web.DeepCopyInto(&out.Web)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Settings.
func (in *Settings) DeepCopy() *Settings {
	if in == nil {
		return nil
	}
	out := new(Settings)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *SettingsStatus) DeepCopyInto(out *SettingsStatus) {
	*out = *in
	if in.Sources != nil {
		in, out := &in.Sources, &out.Sources
		*out = make([]settings.Source, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new SettingsStatus.
func (in *SettingsStatus) DeepCopy() *SettingsStatus {
	if in == nil {
		return nil
	}
	out := new(SettingsStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *Web) DeepCopyInto(out *Web) {
	*out = *in
	if in.Workload != nil {
		in, out := &in.Workload, &out.Workload
		*out = new(components.Workload)
		(*in).DeepCopyInto(*out)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Web.
func (in *Web) DeepCopy() *Web {
	if in == nil {
		return nil
	}
	out := new(Web)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *WebSettings) DeepCopyInto(out *WebSettings) {
	*out = *in
	in.CreateOptions.DeepCopyInto(&out.CreateOptions)
	if in.Sources != nil {
		in, out := &in.Sources, &out.Sources
		*out = make([]settings.Source, len(*in))
		copy(*out, *in)
	}
	out.ConfTemplate = in.ConfTemplate
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new WebSettings.
func (in *WebSettings) DeepCopy() *WebSettings {
	if in == nil {
		return nil
	}
	out := new(WebSettings)
	in.DeepCopyInto(out)
	return out
}
